package com.ruoyi.project.business.mapper;

import com.ruoyi.project.business.domain.TjElevator;
import com.ruoyi.project.business.domain.vo.Civil.TjElevatorVo;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2024-05-20
 */
public interface TjElevatorMapper {

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TjElevator selectTjElevatorById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tjElevator 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TjElevator> selectTjElevatorList(TjElevator tjElevator);

    /**
     * 新增【请填写功能名称】
     *
     * @param tjElevator 【请填写功能名称】
     * @return 结果
     */
    public int insertTjElevator(TjElevator tjElevator);

    /**
     * 修改【请填写功能名称】
     *
     * @param tjElevator 【请填写功能名称】
     * @return 结果
     */
    public int updateTjElevator(TjElevator tjElevator);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTjElevatorById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTjElevatorByIds(Long[] ids);

    List<TjElevatorVo> selectElevatorListByCivilEngineeringId(@Param("id") Long id,
        @Param("elevatorId") Long elevatorId);
}
